Plesk 支持即购即用多个 PHP 版本和处理程序类型。本小节主要阐述 Plesk 管理员如何在服务器上安装 PHP。

安装和卸载 PHP

若要在服务器上安装某个 PHP 版本或从服务器上移除某个 PHP 版本,请按照下面的步骤操作:

  1. 进入 工具与设置 > 更新与升级 ,然后打开 添加/移除组件 标签。

    • (Plesk for Linux) 展开 主机 部分,然后找到 PHP interpreter 版本 部分。
    • (Plesk for Windows) 展开 Plesk 主机功能 部分。
  2. 在此处,当前已安装的 PHP 版本会使用绿色复选框图标标记,当前还未安装的则使用红色叉图标标记。点击相应的图标选择您要安装的 PHP 版本 > 安装 。点击相应的图标选择您要移除的 PHP 版本 > 移除 。在下面的截图上,PHP 7.1 被标记为安装,而 PHP 5.6 被标记为移除。

    image-78108.png

  3. 点击 继续 安装/移除所选的 PHP 版本。

不管什么时候安装 PHP 版本,Plesk 都会自动为其配置标准的 PHP 处理程序类型 (CGI, FastCGI, PHP-FPM)。

Note: 在诸如 CentOS 6.x 等更早的系统上,需要安装 来自操作系统供应商的 PHP-FPM 支持 组件以启用 PHP-FPM 处理程序。该组件可在 添加/移除组件 标签中的 主机 > Nginx web 服务器与反向代理服务器 部分查找。

Note: 在更新的操作系统(例如 Debian 9)上,可能无法安装 PHP 旧版本(5.6 和更早版本),因为这些版本与更新的操作系统附带的 OpenSSL 版本不兼容。

您可以为每个在服务器上安装的 PHP 版本 设置某个处理程序类型可用或不可用 (例如,您可以允许您的客户可同时使用 FastCGI 和带有 PHP 7.1 的 PHP-FPM,但是只能使用带有 PHP 5.6 的 PHP-FPM)。您还可以为每个 PHP 版本单独 配置 PHP 设置